Difference between revisions of "Draft Line/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
Line 2: Line 2:
 
{{GuiCommand/fr|Name=Draft Line|Name/fr=Ligne|Workbenches=[[Draft Module/fr|Draft]], [[Arch Module/fr|Arch]]|MenuLocation=Draft → Ligne|Shortcut=L I|SeeAlso=[[Draft Wire/fr|Filaire]]}}
 
{{GuiCommand/fr|Name=Draft Line|Name/fr=Ligne|Workbenches=[[Draft Module/fr|Draft]], [[Arch Module/fr|Arch]]|MenuLocation=Draft → Ligne|Shortcut=L I|SeeAlso=[[Draft Wire/fr|Filaire]]}}
  
<div class="mw-translate-fuzzy">
 
 
==Description==
 
==Description==
 
Cet outil demande à l'utilisateur de spécifier deux points et trace une ligne entre ceux-ci dans le [[Draft_SelectPlane/fr|plan de travail courant]]. Il prend la largeur et la couleur préalablement [[Draft_Linestyle/fr|définies]] sur l'onglet Tâches.  
 
Cet outil demande à l'utilisateur de spécifier deux points et trace une ligne entre ceux-ci dans le [[Draft_SelectPlane/fr|plan de travail courant]]. Il prend la largeur et la couleur préalablement [[Draft_Linestyle/fr|définies]] sur l'onglet Tâches.  
 
L'outil ligne se comporte exactement comme l'outil [[Draft_Wire/fr|Filaire]], à la différence qu'il s'arrête à la saisie de deux points.
 
L'outil ligne se comporte exactement comme l'outil [[Draft_Wire/fr|Filaire]], à la différence qu'il s'arrête à la saisie de deux points.
</div>
+
+
 +
L'outil Ligne crée une ligne droite définie par deux points. Il utilise le  [[Draft Linestyle]] défini dans la barre d’outils du tiroir. L'outil Ligne se comporte exactement comme l'outil [[Draft Wire]] , sauf qu'il s'arrête après deux points.
  
 
[[Image:Draft_Line_example.jpg|400px]]
 
[[Image:Draft_Line_example.jpg|400px]]

Revision as of 08:37, 16 November 2018

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎

Draft Line.svg Ligne

Emplacement du menu
Draft → Ligne
Ateliers
Draft, Arch
Raccourci par défaut
L I
Introduit dans la version
-
Voir aussi
Filaire


Description

Cet outil demande à l'utilisateur de spécifier deux points et trace une ligne entre ceux-ci dans le plan de travail courant. Il prend la largeur et la couleur préalablement définies sur l'onglet Tâches. L'outil ligne se comporte exactement comme l'outil Filaire, à la différence qu'il s'arrête à la saisie de deux points. + L'outil Ligne crée une ligne droite définie par deux points. Il utilise le Draft Linestyle défini dans la barre d’outils du tiroir. L'outil Ligne se comporte exactement comme l'outil Draft Wire , sauf qu'il s'arrête après deux points.

Draft Line example.jpg

Utilisation

  1. Cliquez sur le bouton Draft Line.png Ligne ou pressez sur les touches L puis I
  2. Cliquez le premier point dans la vue 3D, ou entrez les coordonnées
  3. Cliquez le deuxième point dans la vue 3D, ou entrez les coordonnées

Options

  • Appuyez sur X, Y ou Z après le premier point pour contraindre le second point le long d'un axe.
  • Pour saisir les coordonnées manuellement, entrez le nombre et appuyez simplement sur ​​ENTRÉE entre chaque saisie de X, Y et Z.
  • Appuyez sur R ou cliquez sur la case Relatif pour cocher/décocher ce mode. Si le mode relatif est activé, les coordonnées du second point seront relatives à la première. Sinon, elles seront absolues, prises à partir du point d'origine (0,0,0).
  • Appuyez sur T ou cliquez sur la case Continuer pour cocher/décocher ce mode. Si le mode Continuer est activé, l'outil ligne va redémarrer après que vous ayez donné le second point, vous permettant de dessiner un autre segment de ligne sans appuyer de nouveau sur le bouton ligne.
  • Appuyez sur CTRL pendant que l'outil est actif pour forcer l'accrochage du point sur l'emplacement d'accrochage le plus près, indépendamment de sa distance.
  • Appuyez sur MAJ pendant que l'outil est actif pour contraindre le second point horizontalement ou verticalement en relation au point précédent.
  • Appuyez sur CTRL + Z ou sur le bouton Draft UndoLine.png Annuler pour annuler le point précédent.
  • Appuyez sur ESC pour annuler l'opération.
  • La ligne nouvellement créée, adopte le style de ligne actif.

Propriétés

  • DonnéesStart: Le point de départ
  • DonnéesEnd: Le point final
  • DonnéesSubdivisions: Divise la ligne en x lignes, donnez le nombre de coupures Introduit dans la version 0.16

Script

L'outil ligne peut être utilisé dans une macro et dans la console Python en utilisant la fonction suivante :

Line = makeLine(p1, p2)
Line = makeLine(LineSegment)
Line = makeLine(Shape)
  • Crée une ligne entre les deux vecteurs donnés. La ligne créée aura la largeur et la couleur courante.
  • Renvoie l'objet nouvellement créé.
  • Crée un objet Line </ code> entre les points p1 </ code> et p2 </ code>, chacun défini comme un FreeCAD.Vector </ code>

+

  • Crée un objet Line </ code> à partir d'un Part.LineSegment </ code>
  • Crée un objet Line </ code> du premier sommet au dernier sommet de la forme </ code> donnée
  • Le Style de trait actuel actuel sera utilisé

Exemple:

import FreeCAD, Draft
Draft.makeLine(FreeCAD.Vector(0,0,0), FreeCAD.Vector(2,0,0))

See also: Draft API, and the autogenerated API documentation https://www.freecadweb.org/api